\entry{Hunt Leaks}{16}{\code {Hunt Leaks}}
\entry{Hunt code duplication}{16}{\code {Hunt code duplication}}
\entry{Code duplication}{16}{Code duplication}
\entry{Prefer dynamic_cast of references}{16}{\code {Prefer \code {dynamic_cast} of references}}
\entry{dynamic_cast}{16}{\code {dynamic_cast}}
\entry{Use virtual methods, not type cases}{16}{\code {Use virtual methods, not type cases}}
\entry{Use dynamic_cast for type cases}{17}{\code {Use \code {dynamic_cast} for type cases}}
\entry{typeid}{17}{\code {typeid}}
\entry{Use const references in arguments to save copies (EC22)}{18}{\code {Use const references in arguments to save copies (\acronym {EC22})}}
\entry{Use references for aliasing}{18}{\code {Use references for aliasing}}
\entry{aliasing}{18}{aliasing}
\entry{Use pointers when passing an object together with its management}{19}{\code {Use pointers when passing an object together with its management}}
\entry{Name your classes LikeThis}{19}{\code {Name your classes \code {LikeThis}}}
\entry{Name public members like_this}{19}{\code {Name public members \code {like_this}}}
\entry{Name private/protected members like_this_}{19}{\code {Name private/protected members \code {like_this_}}}
\entry{Name your typedef foo_type}{19}{\code {Name your \code {typedef} \code {\var {foo}_type}}}
\entry{Name the parent class super_type}{20}{\code {Name the parent class \code {super_type}}}
\entry{Specify comparison types for associative containers of pointers (ES20)}{20}{\code {Specify comparison types for associative containers of pointers (\acronym {ES20})}}
\entry{Make functor classes adaptable (ES40)}{20}{\code {Make functor classes adaptable (\acronym {ES40})}}
\entry{Prefer algorithm call to hand-written loops (ES43)}{20}{\code {Prefer algorithm call to hand-written loops (\acronym {ES43})}}
\entry{Prefer member functions to algorithms with the same names (ES44)}{21}{\code {Prefer member functions to algorithms with the same names (\acronym {ES44})}}
\entry{Declarations in *.hh}{21}{\code {Declarations in \file {*.hh}}}
\entry{Inlined definitions in *.hxx}{21}{\code {Inlined definitions in \file {*.hxx}}}
\entry{Definitions of functions and variables in *.cc}{21}{\code {Definitions of functions and variables in \file {*.cc}}}
\entry{lib*.hh and lib*.cc are pure}{22}{\code {\file {lib*.hh} and \file {lib*.cc} are pure}}
\entry{fwd.hh exports forward declarations}{22}{\code {\file {fwd.hh} exports forward declarations}}
\entry{*-tasks.hh and *-tasks.cc are impure}{22}{\code {\file {*-tasks.hh} and \file {*-tasks.cc} are impure}}
\entry{Order class members by visibility first}{22}{\code {Order class members by visibility first}}
\entry{Prefer Doxygen Documentation to plain comments}{23}{\code {Prefer Doxygen Documentation to plain comments}}
\entry{Use the Imperative}{23}{\code {Use the Imperative}}
\entry{Write Documentation in Doxygen}{24}{\code {Write Documentation in Doxygen}}
\entry{Use {\tt \indexbackslash }directive}{24}{\code {Use \samp {{\tt \backslashcurfont }directive}}}
\entry{Prefer C Comments for Long Comments}{24}{\code {Prefer C Comments for Long Comments}}
\entry{Prefer C++ Comments for One Line Comments}{24}{\code {Prefer C++ Comments for One Line Comments}}
\entry{Use foo_get, not get_foo}{24}{\code {Use \code {foo_get}, not \code {get_foo}}}
\entry{foo_get}{24}{\code {foo_get}}
\entry{foo_set}{24}{\code {foo_set}}
\entry{Accessors}{24}{Accessors}
\entry{Use rebox.el to markup paragraphs}{25}{\code {Use \file {rebox.el} to markup paragraphs}}
\entry{rebox}{25}{rebox}
\entry{Use print as a member function returning a stream}{25}{\code {Use \code {print} as a member function returning a stream}}
\entry{print}{25}{\code {print}}
\entry{yaka@epita.fr}{26}{\code {yaka@epita.fr}}
\entry{patch}{29}{\code {patch}}
\entry{Patches, applying}{29}{Patches, applying}
\entry{AUTHORS}{29}{\file {AUTHORS}}
\entry{common.hh}{30}{\code {common.hh}}
\entry{tc}{30}{\code {tc}}
\entry{tc.cc}{30}{\code {tc.cc}}
\entry{driver}{30}{driver}
\entry{contract.hh}{30}{\code {contract.hh}}
\entry{escape.hh}{30}{\code {escape.hh}}
\entry{escape}{30}{\code {escape}}
\entry{set.hh}{30}{\code {set.hh}}
\entry{timer.hh}{30}{\code {timer.hh}}
\entry{timer.cc}{30}{\code {timer.cc}}
\entry{symbol.hh}{30}{\code {symbol.hh}}
\entry{symbol}{30}{symbol}
\entry{Symbol}{30}{\code {Symbol}}
\entry{table.hh}{31}{\code {table.hh}}
\entry{location.hh}{31}{\code {location.hh}}
\entry{position.hh}{31}{\code {position.hh}}
\entry{visitor.hh}{31}{\code {visitor.hh}}
\entry{default-visitor.hh}{31}{\code {default-visitor.hh}}
\entry{print-visitor.hh}{31}{\code {print-visitor.hh}}
\entry{scantiger.ll}{31}{\code {scantiger.ll}}
\entry{parsetiger.yy}{31}{\code {parsetiger.yy}}
\entry{position.hh}{31}{\code {position.hh}}
\entry{location.hh}{31}{\code {location.hh}}
\entry{libparse.hh}{31}{\code {libparse.hh}}
\entry{libtype.hh}{31}{\code {libtype.hh}}
\entry{types.hh}{32}{\code {types.hh}}
\entry{type-entry.hh}{32}{\code {type-entry.hh}}
\entry{type-env.hh}{32}{\code {type-env.hh}}
\entry{temp.hh}{32}{\code {temp.hh}}
\entry{label.hh}{32}{\code {label.hh}}
\entry{access.hh}{32}{\code {access.hh}}
\entry{access.cc}{32}{\code {access.cc}}
\entry{frame.hh}{32}{\code {frame.hh}}
\entry{frame.cc}{32}{\code {frame.cc}}
\entry{libtranslate.hh}{33}{\code {libtranslate.hh}}
\entry{libtranslate.cc}{33}{\code {libtranslate.cc}}
\entry{fragment.hh}{33}{\code {fragment.hh}}
\entry{access.hh}{33}{\code {access.hh}}
\entry{access.cc}{33}{\code {access.cc}}
\entry{level.hh}{33}{\code {level.hh}}
\entry{level.cc}{33}{\code {level.cc}}
\entry{exp.hh}{33}{\code {exp.hh}}
\entry{level-entry.hh}{33}{\code {level-entry.hh}}
\entry{level-env.hh}{33}{\code {level-env.hh}}
\entry{translation.hh}{33}{\code {translation.hh}}
\entry{translate-visitor.hh}{33}{\code {translate-visitor.hh}}
\entry{Assem}{34}{Assem}
\entry{instr.hh}{34}{\code {instr.hh}}
\entry{move.hh}{34}{\code {move.hh}}
\entry{oper.hh}{34}{\code {oper.hh}}
\entry{label.hh}{34}{\code {label.hh}}
\entry{fragment.hh}{34}{\code {fragment.hh}}
\entry{fragment.cc}{34}{\code {fragment.cc}}
\entry{visitor.hh}{34}{\code {visitor.hh}}
\entry{layout.hh}{34}{\code {layout.hh}}
\entry{libassem.hh}{34}{\code {libassem.hh}}
\entry{libassem.cc}{34}{\code {libassem.cc}}
\entry{cpu.hh}{34}{\code {cpu.hh}}
\entry{target.hh}{34}{\code {target.hh}}
\entry{mips-cpu.hh}{34}{\code {mips-cpu.hh}}
\entry{mips-target.hh}{34}{\code {mips-target.hh}}
\entry{ia32-cpu.hh}{34}{\code {ia32-cpu.hh}}
\entry{ia32-target.hh}{34}{\code {ia32-target.hh}}
\entry{target-tasks.cc}{34}{\code {target-tasks.cc}}
\entry{target-tasks.hh}{34}{\code {target-tasks.hh}}
\entry{mips}{35}{\code {mips}}
\entry{ia32}{35}{\code {ia32}}
\entry{assembly.hh}{35}{\code {assembly.hh}}
\entry{codegen.hh}{35}{\code {codegen.hh}}
\entry{libcodegen.hh}{35}{\code {libcodegen.hh}}
\entry{libcodegen.cc}{35}{\code {libcodegen.cc}}
\entry{codegen-tasks.hh}{35}{\code {codegen-tasks.hh}}
\entry{codegen-tasks.cc}{35}{\code {codegen-tasks.cc}}
\entry{tiger-runtime.c}{35}{\code {tiger-runtime.c}}
\entry{runtime, Tiger}{35}{runtime, Tiger}
\entry{runtime.s}{36}{\code {runtime.s}}
\entry{runtime.cc}{36}{\code {runtime.cc}}
\entry{spim-assembly.hh}{36}{\code {spim-assembly.hh}}
\entry{spim-assembly.cc}{36}{\code {spim-assembly.cc}}
\entry{codegen.hh}{36}{\code {codegen.hh}}
\entry{codegen.cc}{36}{\code {codegen.cc}}
\entry{spim-layout.hh}{36}{\code {spim-layout.hh}}
\entry{spim-layout.cc}{36}{\code {spim-layout.cc}}
\entry{runtime.s}{36}{\code {runtime.s}}
\entry{runtime.cc}{36}{\code {runtime.cc}}
\entry{gas-assembly.hh}{36}{\code {gas-assembly.hh}}
\entry{gas-assembly.cc}{36}{\code {gas-assembly.cc}}
\entry{codegen.hh}{36}{\code {codegen.hh}}
\entry{codegen.cc}{36}{\code {codegen.cc}}
\entry{gas-layout.hh}{36}{\code {gas-layout.hh}}
\entry{gas-layout.cc}{36}{\code {gas-layout.cc}}
\entry{graph.hh}{37}{\code {graph.hh}}
\entry{graph.hxx}{37}{\code {graph.hxx}}
\entry{handler.hh}{37}{\code {handler.hh}}
\entry{handler.hxx}{37}{\code {handler.hxx}}
\entry{iterator.hh}{37}{\code {iterator.hh}}
\entry{iterator.hxx}{37}{\code {iterator.hxx}}
\entry{test-graph.cc}{37}{\code {test-graph.cc}}
\entry{flowgraph.hh}{37}{\code {flowgraph.hh}}
\entry{test-flowgraph.cc}{37}{\code {test-flowgraph.cc}}
\entry{liveness.hh}{37}{\code {liveness.hh}}
\entry{liveness.cc}{37}{\code {liveness.cc}}
\entry{interference-graph.hh}{37}{\code {interference-graph.hh}}
\entry{interference-graph.cc}{37}{\code {interference-graph.cc}}
\entry{color.hh}{37}{\code {color.hh}}
\entry{regallocator.hh}{37}{\code {regallocator.hh}}
\entry{libregalloc.hh}{37}{\code {libregalloc.hh}}
\entry{libregalloc.cc}{37}{\code {libregalloc.cc}}
\entry{test-regalloc.cc}{37}{\code {test-regalloc.cc}}
\entry{regalloc-tasks.hh}{37}{\code {regalloc-tasks.hh}}
\entry{regalloc-tasks.cc}{37}{\code {regalloc-tasks.cc}}
\entry{error{}}{40}{\error {}}
\entry{=>{}}{40}{\result {}}
\entry{chunk}{52}{chunk}
\entry{--escapes-compute}{53}{\option {--escapes-compute}}
\entry{--escapes-display}{53}{\option {--escapes-display}}
\entry{EscapesVisitor}{55}{\code {EscapesVisitor}}
\entry{escapes::EscapesVisitor}{55}{\code {escapes::EscapesVisitor}}
\entry{escape_set}{55}{\code {escape_set}}
\entry{depth_get}{55}{\code {depth_get}}
\entry{type checking}{56}{type checking}
\entry{--types-check}{56}{\option {--types-check}}
\entry{-T}{56}{\option {-T}}
\entry{symbol::Table< class Entry_T >}{57}{\code {symbol::Table< class Entry_T >}}
\entry{scope_begin}{58}{\code {scope_begin}}
\entry{scope_end}{58}{\code {scope_end}}
\entry{put}{58}{\code {put}}
\entry{get}{58}{\code {get}}
\entry{print}{58}{\code {print}}
\entry{type::Error}{58}{\code {type::Error}}
\entry{HIR}{60}{\acronym {HIR}}
\entry{havm}{61}{\command {havm}}
\entry{malloc}{66}{\code {malloc}}
\entry{canonicalization}{79}{canonicalization}
\entry{LIR}{79}{\acronym {LIR}}
\entry{sequence point}{80}{sequence point}
\entry{commute}{84}{commute}
\entry{basic block}{89}{basic block}
\entry{traces}{89}{traces}
\entry{instruction selection}{92}{instruction selection}
\entry{INSTR}{92}{\acronym {INSTR}}
\entry{flow graph}{100}{flow graph}
\entry{liveness analysis}{100}{liveness analysis}
\entry{register allocation}{105}{register allocation}
\entry{ASM}{105}{\acronym {ASM}}
\entry{EPITA Library}{114}{EPITA Library}
\entry{Bookshop}{114}{Bookshop}
\entry{Le Monde en Tique}{114}{Le Monde en Tique}
\entry{Bjarne Stroustrup}{114}{\code {Bjarne Stroustrup}}
\entry{Boost.org}{115}{\code {Boost.org}}
\entry{C++ Primer}{115}{\code {C++ Primer}}
\entry{Compilers: Principles, Techniques and Tools}{116}{\code {Compilers: Principles, Techniques and Tools}}
\entry{The Dragon Book}{116}{\code {The Dragon Book}}
\entry{Dragon Book}{116}{Dragon Book}
\entry{Cool: The Classroom Object-Oriented Compiler}{116}{\code {Cool: The Classroom Object-Oriented Compiler}}
\entry{CStupidClassName}{116}{\code {CStupidClassName}}
\entry{Design Patterns: Elements of Reusable Object-Oriented Software}{117}{\code {Design Patterns: Elements of Reusable Object-Oriented Software}}
\entry{Design Patterns: Elements of Reusable Object-Oriented Software}{117}{Design Patterns: Elements of Reusable Object-Oriented Software}
\entry{Portland Pattern Repository}{117}{Portland Pattern Repository}
\entry{Effective C++}{117}{\code {Effective C++}}
\entry{ECn}{117}{\acronym {EC\var {n}}}
\entry{Effective STL}{118}{\code {Effective \acronym {STL}}}
\entry{ESn}{118}{\acronym {ES\var {n}}}
\entry{Generic Visitors in C++}{118}{\code {Generic Visitors in C++}}
\entry{Guru of the Week}{118}{\code {Guru of the Week}}
\entry{GotW}{118}{GotW}
\entry{GotWn}{118}{\acronym {GotW\var {n}}}
\entry{Lex & Yacc}{119}{\code {Lex & Yacc}}
\entry{Making Compiler Design Relevant for Students who will (Most Likely) Never Design a Compiler}{119}{\code {Making Compiler Design Relevant for Students who will (Most Likely) Never Design a Compiler}}
\entry{Modern C++ Design -- Generic Programming and Design Patterns Applied}{119}{\code {Modern C++ Design -- Generic Programming and Design Patterns Applied}}
\entry{Modern Compiler Implementation in C, Java, ML}{119}{\code {Modern Compiler Implementation in C, Java, ML}}
\entry{Parsing Techniques -- A Practical Guide}{120}{\code {Parsing Techniques -- A Practical Guide}}
\entry{spot : une bibliotheque de verification de proprietes de logique temporelle a temps lineaire}{120}{\code {\acronym {spot} : une biblioth\`eque de v\'erification de propri\'et\'es de logique temporelle \`a temps lin\'eaire}}
\entry{The Design and Evolution of C++}{120}{\code {The Design and Evolution of C++}}
\entry{The Elements of Style}{120}{\code {The Elements of Style}}
\entry{Thinking in C++ Volume 1}{121}{\code {Thinking in C++ Volume 1}}
\entry{Thinking in C++ Volume 2}{121}{\code {Thinking in C++ Volume 2}}
\entry{Traits: a new and useful template technique}{121}{\code {Traits: a new and useful template technique}}
\entry{traits}{121}{traits}
\entry{Writing Compilers and Interpreters -- An Applied Approach Using C++}{121}{\code {Writing Compilers and Interpreters -- An Applied Approach Using C++}}
\entry{STL Home}{121}{\code {\acronym {STL} Home}}
\entry{GNU Build System}{121}{\acronym {GNU} Build System}
\entry{Autoconf}{121}{Autoconf}
\entry{Automake}{121}{Automake}
\entry{tarball name}{122}{tarball name}
\entry{distcheck}{122}{\code {distcheck}}
\entry{GCC}{123}{\acronym {GCC}}
\entry{Valgrind}{123}{Valgrind}
\entry{dmalloc}{123}{dmalloc}
\entry{GLIBCPP_FORCE_NEW}{123}{\code {GLIBCPP_FORCE_NEW}}
\entry{GLIBCXX_FORCE_NEW}{123}{\code {GLIBCXX_FORCE_NEW}}
\entry{Yacc}{125}{Yacc}
\entry{Lex}{125}{Lex}
\entry{Flex}{125}{Flex}
\entry{Bison}{125}{Bison}
\entry{HAVM}{126}{\acronym {HAVM}}
\entry{Mipsy}{126}{Mipsy}
\entry{SPIM}{126}{\acronym {SPIM}}
\entry{SWIG}{127}{\acronym {SWIG}}
\entry{Python}{127}{Python}
\entry{activation block}{129}{activation block}
\entry{build}{129}{build}
\entry{curriculum}{129}{curriculum}
\entry{HAVM}{129}{\acronym {HAVM}}
\entry{host}{129}{host}
\entry{IA32}{129}{\acronym {IA32}}
\entry{scholarship}{129}{scholarship}
\entry{schooling}{129}{schooling}
\entry{snippet}{129}{snippet}
\entry{stack frame}{129}{stack frame}
\entry{static hierarchy}{129}{static hierarchy}
\entry{target}{130}{target}
\entry{traits}{130}{traits}
\entry{vtable}{130}{\code {vtable}}
\entry{FDL, GNU Free Documentation License}{130}{FDL, GNU Free Documentation License}
